> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 主题

> 获取用于组织搜索词的主题分组。

主题是按主题或类别（例如"产品比较"、"价格问题"）组织您的搜索词的分组。每个搜索词属于一个主题。

## 列出主题

```
GET /projects/{project_id}/topics
```

返回项目中的所有主题。

### 路径参数

| 参数           | 类型            | 描述    |
| ------------ | ------------- | ----- |
| `project_id` | string (UUID) | 项目 ID |

### 查询参数

无。

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://topify-customer-api-production.up.railway.app/api/public/v1/projects/{project_id}/topics" \
      -H "X-API-Key: tk_live_..."
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    resp = client.get(f"/projects/{project_id}/topics")
    ```
  </Tab>

  <Tab title="Node.js（服务端）">
    ```javascript theme={null}
    const resp = await fetch(`${BASE}/projects/${projectId}/topics`, { headers });
    ```
  </Tab>
</Tabs>

### 响应

```json theme={null}
{
  "success": true,
  "data": [
    {
      "topic_id": "t1u2v3w4-...",
      "project_id": "a1b2c3d4-...",
      "name": "Product comparisons",
      "description": "Prompts comparing products in the category",
      "created_at": "2026-01-20T14:00:00+00:00"
    },
    {
      "topic_id": "u5v6w7x8-...",
      "project_id": "a1b2c3d4-...",
      "name": "Pricing questions",
      "description": null,
      "created_at": "2026-01-20T14:05:00+00:00"
    }
  ]
}
```

### TopicResponse 字段

| 字段            | 类型                | 可空  | 描述     |
| ------------- | ----------------- | --- | ------ |
| `topic_id`    | string (UUID)     | No  | 主题 ID  |
| `project_id`  | string (UUID)     | No  | 父项目 ID |
| `name`        | string            | No  | 主题显示名称 |
| `description` | string            | Yes | 主题描述   |
| `created_at`  | string (ISO 8601) | No  | 创建时间   |

通过 [搜索词](/api-reference/prompts) 和 [概览](/api-reference/overview) 端点中的 `topic_id` 字段，使用此 `topic_id` 将搜索词与其所属主题分组关联起来。
